#!/sbin/sh
#
#
# CORE-AGENT installer From CD-ROM
#
# @(#)        install.sh    Ver 3.3.1  Date 2006/09/11
# @(#)        All Rights Reserved, Copyrights (C) 2006, Hitachi,Ltd.
#     
#     NOTE :
#-----------------------------------------------------------------------
#                                       Ver 3.3.0 2006/06/16   S.Yamasaki
#     Message change.                   Ver 3.3.1 2006/09/11   S.Yamasaki
#------------------------------------------------------------------------
LANG=C
export LANG

FNAME="core_agent_install_data.tar"		# File Name
PATHN=`echo $0 | sed -e 's/install.sh//g'`	# Command Path
TOP=`echo $0 | cut -b '1-1'`			# Top A Character

INST_TPATH="/opt/.H_mst"
INST_GPATH=$INST_TPATH"/CORE-AG"
INSTALLLOG="/tmp/core_install.log"

SYSTEM_LOG_PATH="/var/opt"
CORE_LOG_PATH="${SYSTEM_LOG_PATH}/core-agent/log"

AG_NAME="core_ag"

START_UP="/sbin/init.d/core_agent"


if [ -z $PATHN ]; then				# A file name is not appointed
	TOPPTATH=$PWD"/"
elif [ $TOP = "/" ]; then
	TOPPTATH=$PATHN				# Absolute Path Name
else
	TOPPTATH=$PWD"/"$PATHN			# Relativity Path Name
fi
TARGET=$TOPPTATH$FNAME

#echo "TOP    ="$TOP
#echo "PATHN  ="$PATHN
#echo "TOPPATH="$TOPPTATH
#echo "FNAME  ="$FNAME
#echo "TARGET ="$TARGET


NAME_OS=`uname -s`				# OS Name
VER_OS=`uname -r`				# OS Version

install() {
	if [ -f $TARGET ]; then
		echo "CORE-AGENT install start."
		cd /
		tar xvf $TARGET > ${INSTALLLOG} 2>&1
		cat ${INSTALLLOG}
		mv ${INSTALLLOG} ${CORE_LOG_PATH}
		echo "CORE-AGENT install end."
		return 0
	else
		echo "Install File Not Found.[$TARGET]"
		return -1
	fi
}


echo "CORE-AGENT Ver 3.3.0 installer."

if [ $# -eq 1 ]; then
	FNAME=$1
fi

if [ $NAME_OS != "HP-UX" ]; then
	echo "Can not install. [Not HP-UX]"
else
	if [ $VER_OS != "B.11.23" ]; then
		echo "Can not install. [Mistake in OS Version]"
	else
		if [ -d $INST_GPATH ]; then
			echo "CORE-AGENT is already installed."
			echo "Overwrite install [y/n]? "
			read answer
			if [ "$answer" = Y -o "$answer" = y ]; then
				if [ -x $START_UP ]; then
					$START_UP stop
					install
					if [ $? -eq 0 ]; then
						$START_UP start
					fi
				else
					echo $START_UP" is nothing."
					echo "CORE-AGENT overwrite install failed."    # 2006/09/11
				fi
			else
				echo "Overwrite install stopped."
			fi
		else
			echo "Realy Install [y/n]? "
			read answer
			if [ "$answer" = Y -o "$answer" = y ]; then
				install
			fi
		fi
	fi
fi

exit $?
